Revision history for Keyword-Declare

0.000001  Sun Apr 19 09:07:56 2015
       Initial release.


0.000002  Wed Jul 22 10:38:57 2015

   * First public release


0.000003  Mon Aug 10 20:56:05 2015

   * Split test prereq out in Makefile.PL
     (Thanks Karen)

   * Added metadata to stop demos being indexed
     (Thanks Olivier)


0.000004  Thu Jun 23 18:45:39 2016

   * Added export example in SYNOPSIS
     (Thanks Steven)

   * Set minimal version to 5.14, which it should always
     have been. (Thanks Hunter)


0.000005  Thu Jun 30 15:49:12 2016

    * Corrected dependencies into (Thanks, Father C.)


0.001000  Tue Jun 20 06:05:41 2017

    * Complete rewrite to use PPR instead of PPI


0.001001  Wed Jun 21 14:50:14 2017

    * Redefined dependencies (Thanks, everyone)



0.001002  Thu Jun 22 21:07:23 2017

    * Greatly improved the error messages when a keyword fails to parse
      (Many thanks, MST!)


0.001003  Thu Jul  6 13:00:39 2017

    * Made module compatible back to Perl 5.12
      (which is when pluggable keywords were first introduced)


0.001004  Thu Jul  6 19:20:00 2017

    * Tweaked Makefile.PL and docs to reflect 5.12 as minimal Perl version


0.001005  Sun Jul  9 08:15:17 2017

    * Tweaked docs to remove POD errors
      (Thanks, Mohammad)



0.001006  Thu Aug 17 23:06:46 2017

    * Extended keytypes defined using a regex or string to allow them to
      be declared with a $ sigil, in which case they create a
      compile-time variable containing that regex or string,
      as well as defining a (sigilless) keytype name as usual.
      (Thanks Sebastian!)



0.001007  Sun Jun 10 15:18:37 2018

    * Removed POD nits (Thanks, Hugo)

    * Added test for ->@*, etc.
      (Thanks, Curtis!)

    * Noted that module is incompatible with Keyword::Declare 0.04
      and updated Makefile.PL to reflect that
      (Thanks, Matt)


0.001008  Sun Jun 10 15:42:00 2018

    * Updated Makefile.PL to require ExtUtils::MakeMaker v7
      which supports more complex module version requirement specifications.


0.001009  Tue Jun 12 11:32:51 2018

    * Updated Makefile.PL to generate metadata that
      ExtUtils::MakeMaker v7 is required for configuration and build
      (Thanks, Slavin)

    * Updated Makefile.PL to new minimal PPR requirement
      (Thanks, Slavin)

    * Added 'unkeyword' anti-meta-keyword to remove keywords